/* ================================ *\
   link style
\* ================================ */

/// Link styles for **default states**
/// @group text
/// @access public
/// @content
@mixin _link-default() {
    &:link,
    &:focus,
    &:visited {
        @content;
    }
}

/// Links styles for **hover state**
/// @group text
/// @access public
/// @content
@mixin _link-active() {
    @include _transition(all);
    &:not(:disabled) {
        &:hover,
        &:focus,
        &.-active {
            @content;
        }
    }
}

/// Links styles for **disabled state**
/// @group text
/// @access public
/// @content
@mixin _link-disabled() {
    &.-in:disabled,
    &:disabled,
    &.disabled {
        @content;
    }
}